Skip to main content
Contract / Billing

Calculate contract start periodic date

This method requires the ContractBilling:Get permission to be associated with your role.

GET
/fm/contract/billing/calculate-start-periodic-date
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
payroll_datestringqueryrequired

Payroll date

Maximum string length: 10
pay_cycle_codeenum<string>queryrequired

Pay cycle code

Available options: weekly, weekly2, weekly3, fortnightly, fortnightly2, fortnightly3, monthly, monthly2, monthly3, bi-monthly, 4-weekly
contract_start_datestringqueryrequired

Contract start date

Maximum string length: 10
payroll_cut_off_daysintegerquerydefault:0

Payroll cut off days

Required range: 0 <= x <= 999

Response

application/vnd.catch-e-api.v1+json

Success

start_periodic_datestring

Start Periodic

Example: YYYY-MM-DD